# Class StreamingCodecsChangeError

#### Hierarchy

- StreamingBaseError
  - StreamingCodecsChangeError

#####
Index

### Constructors

constructor

### Properties

category
code
codecsChangeInfo
error

## Constructors

### constructor

- new StreamingCodecsChangeError(error, codecsChangeInfo): StreamingCodecsChangeError

- #### Parameters

  - error: Error
  - codecsChangeInfo: CodecsChangeInfo

  #### Returns StreamingCodecsChangeError

  Overrides StreamingBaseError.constructor

## Properties

### `Readonly` category

category: Streaming = ErrorCategory.Streaming

Inherited from StreamingBaseError.category

### `Readonly` code

code: StreamingCodecsChangeError = ErrorCode.StreamingCodecsChangeError

Overrides StreamingBaseError.code

### `Readonly` codecsChangeInfo

codecsChangeInfo: CodecsChangeInfo

### `Readonly` error

error: Error

Inherited from StreamingBaseError.error